<?php
$afp_module = ($_GET['afp_module']) ? $_GET['afp_module'] : $afp_module;

if(isset($afp_module)) {
    include WP_AJAX_PRO_PATH . 'admin/includes/common.php';
       
    switch ($afp_module) {        
        case 'add_new':
            global $afp_conf;

            if( ! empty($_POST) ) {
                $output = $form->add();
                
                // Set the default form fields and redirect to the form configuration page
                if($output['success'] == 1) {
            	    $form_id = $output['form_id'];
                    
                    if($output['add_default_fields'] == 1) {
                        $form_fields->addDefaults($form_id);
                    }
                            
                    ?>
                    
                    <script type="text/javascript">
                    parent.window.location = '<?php echo $afp_conf['url']['path_to_manage_forms'].'&afp_module=edit_form_fields&form_id='.$form_id; ?>';
                    </script>
                    
                    <?php
                    
                } else {
                    $in_field = $output['in_field'];
                }
            }

            $page_title = 'New Form';

    $add_form_page = 1;

    include WP_AJAX_PRO_PATH . 'admin/sections/navigation.php';
    ?>
    
    <h2>Add Form</h2>

    <?php
    if(isset($output)) {
        if( ! $output['success'] ) {
            echo '<div class="note_error">'.$output['message'].'</div>';
        }
    }
    ?>
    
    <form action="" method="post">
    
        <table class="fields" width="100%">
        
            <tr>
                <td width="20%">Name:</td>
                <td><input type="text" name="name" value="<?php echo $in_field['name']; ?>" />&nbsp; <small>(for reference - e.g. "Contact Us", "Reservation Form", "Send Your Enquiry")</small></td>
            </tr>
            
            <tr>
                <td valign="top">Description:<br /><div style="margin:5px 0 0 0; color: red; font-weight: bold;"><small>* optional</small></div></td>
                <td><textarea style="width:60%;" name="description" cols="3" rows="3"><?php echo $in_field['description']; ?></textarea></td>
            </tr>    
            
            <tr>
                <td valign="top">Method:</td>
                <td><input <?php if($_POST['method'] == 1 || empty($_POST)) { echo 'checked="checked"'; } ?> class="method" type="radio" name="method" value="1" id="m_default" /> <label for="m_default">Default (basic)</label> &nbsp; <input <?php if($_POST['method'] == 2) { echo 'checked="checked"'; }?> class="method" type="radio" name="method" value="2" id="m_import" /> <label for="m_import">Import FORM from HTML (advanced)</label><strong></strong></td>
            </tr>

            <!-- Method: Import from HTML -->
            <tr id="method_import_from_html_row" <?php if($_POST['method'] == 2) { echo 'style="display:table-row;"'; } ?>>
                <td valign="top">Import From HTML (BETA):<br /><div style="margin:5px 0 0 0; color: red; font-weight: bold;"><small>* optional</small></div></td>
                <td>
                    <div style="margin: 0 0 20px 0;" class="desc"><strong>How it works?</strong> The application imports all the form's elements from the HTML code except submit buttons and fields that do not have the "name" attribute set. This feature is useful if you have a form already built in HTML and you wish to speed up the process of creation here. If you do not use this option, the application will create some basic form fields such as: name, email and message.
                    
                    <p>[<a target="_blank" href="http://www.ajaxformpro.com/wiki/?p=434">Read more</a>]</p>
                    
                    <p><strong>Note:</strong> Leave the following area empty if you do not wish to import any form from HTML.</p>
                    </div>
                    <textarea style="width:90%;" name="html_form_code" cols="3" rows="13"><?php echo $in_field['html_form_code']; ?></textarea>
                </td>
            </tr>
            
            <!-- Method: Default -->
            <tr id="method_default_row" <?php if($_POST['method'] == 1 || empty($_POST)) { echo 'style="display:table-row;"'; } if($_POST['method'] == 2) { echo 'style="display:none;"'; } ?>>
                <td>Info:</td>
                <td><em>The form will be created with basic fields: name, email and message.</em></td>
            </tr>
            
            <tr>
                <td>&nbsp;</td>
                <td><input id="continue_btn" class="fancy-button-base light" style="font-size:14px;" type="submit" name="submit" value="&raquo; Continue" /><div id="continue_btn_area_preloader"><p>Loading... Please wait...</p><img width="147" height="22" src="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/images/horizontal-preloader.gif" alt="" /></div></td>
            </tr>         
            
        </table>
    
    </form>
<?php
        break;
	}
  } ?>