<?php
include WP_AJAX_PRO_PATH . 'admin/includes/common.php';
include WP_AJAX_PRO_PATH . 'admin/sections/navigation.php';

$forms = (isset($_REQUEST['forms'])) ? $_REQUEST['forms'] : '';
$method = (isset($_REQUEST['method'])) ? $_REQUEST['method'] : 'post_page'; // Post/Page is used as Default

$form_id = $forms;
list($name, $description) = $form->getInfo($form_id);
    
$iframe_src = $afp_conf['url']['path_to_afp'].'ajax-form-app/standalone/generate.php?form_id='.$form_id;

       if($method == 'iframe') {
           $type_title = 'Load the Form into an iFrame';  
           
           $code = '<iframe scrolling="no" style="border:none; overflow:auto;" id="afp'.$form_id.'_afp_frame" src="'.$iframe_src.'" width="100%" height="100%"><p>Your browser does not support iframes.</p></iframe>';
           $code = htmlspecialchars($code);           
           
       /* (Basic) Web Page - CODE */
       } elseif($method == 'post_page') {
           $type_title = 'Insert the FORM into a Post/Page';   
           
           $code = "[afp_form id=".$form_id."]";
       
       // Custom Location (outside Post/Page)   
       } else if($method == 'outside_post_page') {
           $type_title = 'Insert the Form Outside a Post/Page';   
           
           $code = '<?php echo do_shortcode(\'[afp_form id='.$form_id.']\'); ?>';
       
           
       // Widget (Sidebar)    
       } else if($method == 'widget') {
           
           $type_title = 'Load the form Into a widget (Sidebar or other location)';   
           
           $code = "[afp_form id=".$form_id."]";
           
        // Lightbox - CODE 
        } else if($method == 'lightbox') {
            $type_title = 'Show Form Inside a Lightbox when Element (link, button, image etc.) is Clicked';
        
            $code = htmlspecialchars('<button class=\'afp_lightbox afp'.$form_id.'\' style=\'padding:10px;\'>Open Contact Form</button>');
            
        // Slide-In Top Code  
        } else if($method == 'slide_in_top') {
            $type_title = 'Slide-In Top';
            
            $code_1 = '&lt;style type=&quot;text/css&quot;&gt;
            /* [start] Slide-In BOX */
            
            #afpBackgroundMask { background: none repeat scroll 0 0 #000000; display: none; height: 100%; left: 0; position: fixed;  top: 0; width: 100%; z-index:11; }
            
            #afp-top-container { -moz-box-shadow: 0 0 5px #E7E7E7; position: relative; z-index:12;  text-align:left; }
            #afp-top-box-container { z-index:1; top:-8px; -moz-box-shadow: 0 0 5px white; -moz-border-radius: 0 0 0 5px; right: 0px; background-color:white; position: absolute; border-bottom: 1px solid #DDDDDD; border-right: 1px solid #DDDDDD; border-left: 1px solid #DDDDDD; }
            
            #afp-top-box { padding: 11px 0 0 3px; line-height:12px; moz-box-shadow: 0px 0px 1px #cdcdcd;display: none; background-color: #ffffff;  -moz-border-radius-bottomleft: 5px; }
            
            #afp-top-button { font-size:13px; background-image: url(\'<?php echo WP_AJAX_PRO_URL; ?>ajax-form-app/images/icon-contact.png\'); background-repeat: no-repeat; background-position: 10% 50%; -moz-box-shadow: 0 0 5px #E7E7E7; cursor: pointer; text-transform:uppercase; border-bottom: 1px solid #DDDDDD; border-right: 1px solid #DDDDDD; border-left: 1px solid #DDDDDD; -moz-border-radius-bottomleft: 5px; -moz-border-radius-bottomright: 5px; padding: 10px 6px 10px 35px; background-color: #ffffff; color: #000000; position: absolute; right: -1px; bottom: -37px; width:83px; }
            #afp-top-button a {font-weight: bold; text-decoration: none;}
            #afp-top-button a:hover {text-decoration: none;}
            
            /* end Slide-In BOX */
            &lt;/style&gt;'
            
            ."&lt;script type=&quot;text/javascript&quot;&gt;
            &lt;!--
            var afpSlideSpeed = 'fast';
            var afpDoContactLoad;
            var afpDoContactClose;
            
            var afpBackgroundMask;
            var afpTopBox;
            var afpTopButton;
            
            jQuery(document).ready(function($) { // When DOM is ready
            
            ///// START SLIDE IN + MODAL /////
            
            $('body').prepend('&lt;div id=&quot;afpBackgroundMask&quot;&gt;&lt;/div&gt;');
            
            afpTopBox = $('#afp-top-box');
            afpBackgroundMask = $('#afpBackgroundMask');
            afpTopButton = $('#afp-top-button');
            
            afpDoContactLoad = function() {
            	   afpBackgroundMask.css({'opacity':'0.3'}).fadeIn();
            	   afpTopBox.slideDown(afpSlideSpeed);
            	   afpTopButton.css('-moz-box-shadow','0 0 5px white');
            };
            
            afpDoContactClose = function() {
            	   afpTopBox.slideUp(afpSlideSpeed);
            	   afpBackgroundMask.fadeOut(); 
            	   afpTopButton.css('-moz-box-shadow','0 0 5px #E7E7E7');
            };
            
            afpTopButton.click(function() {
                 if(afpTopBox.is(':hidden')) {
                    afpDoContactLoad();
                 } else {
            	    afpDoContactClose();
                 }
            });
            
            // when the contact form loses focus
            afpBackgroundMask.click(function() { afpDoContactClose(); });
            
            // only need force for IE6  
            afpBackgroundMask.css({'height': document.documentElement.clientHeight});
            
            ///// END SLIDE IN + MODAL /////
            
            });
            --&gt;
            &lt;/script&gt;";
    
            $code_2 = '<!-- [START] TOP SLIDER CONTENT -->
            	<div id="afp-top-container">
            	  <div id="afp-top-box-container">
            	     <div id="afp-top-box">
                        <div id="afp'.$form_id.'_wrap">
            
                          <h1>Contact Us</h1>
                          <?php
                          /*
                          -------------------------------
                          Include the AJAX Contact Form
                          -------------------------------
                          */
                          echo do_shortcode(\'[afp_form id='.$form_id.']\');
                          ?>
                          </div>
            	     </div>
            	   <div id="afp-top-button"><strong>CONTACT US</strong></div>
            
            	  </div>
                 <div class="clear"></div>
            	</div>
                <!-- [END] TOP SLIDER CONTENT -->';
            
        /* 
        --------------------
        Slide-In Left Code
        --------------------
        */
        
        } else if($method == 'slide_in_left') {
            
            $type_title = 'Slide-In Left';
            
            $afp_form_width = $db->getOne("SELECT value FROM `".$afp_conf['db']['prefix']."config_values` WHERE form_id='".$form_id."' && field_id='81'");
            
            $code_1 = '&lt;style type=&quot;text/css&quot;&gt;
            /* [start] Slide-In BOX */
            
            #afpBackgroundMask { background: none repeat scroll 0 0 #000000; display: none; height: 100%; left: 0; position: fixed;  top: 0; width: 100%; z-index:11; }
            
            #afp-slider-container { /* Width of the Form\'s Area */ width: '.$afp_form_width.'; display: none; left:0; -moz-box-shadow: 0 0 5px #E7E7E7;  position:fixed; top:7%; z-index:12; text-align:left; }
            #afp-slider-box-container { min-height:400px; left: 0; z-index:1; top:-1px; -moz-box-shadow: 0 0 5px white; -moz-border-radius: 0 0 0 5px; right: 0px; background-color:white; position: relative; border-bottom: 1px solid #DDDDDD; border-right: 1px solid #DDDDDD; border-left: 1px solid #DDDDDD; }
            
            #afp-slider-box { padding: 11px 0 0 3px; line-height:12px; moz-box-shadow: 0px 0px 1px #cdcdcd; background-color: #ffffff; -moz-border-radius-bottomleft: 5px; }
            
            #afp-slider-button-area { position: absolute; right: -83px; top: 40%; width:83px; }
            
            #afp-slider-button { background: url(&#39;&lt;?php echo WP_AJAX_PRO_URL; ?&gt;ajax-form-app/images/sprite-vertical-feedback-button.png&#39;) no-repeat -76px 0; border:none; display:block; cursor:pointer; width: 75px; height: 140px; }
            #afp-slider-button:hover { background-position: 0 0; }
            #afp-slider-button span { display: none; }
            
            /* end Slide-In BOX */
            &lt;/style&gt;
            
            &lt;script type=&quot;text/javascript&quot;&gt;
            &lt;!--
            '.
            "var afpSlideSpeed = &#39;fast&#39;;
    var afpDoContactLoad;
    var afpDoContactClose;
    
    var afpBackgroundMask;
    var afpTopBox;
    var afpTopButton;
    
    jQuery(document).ready(function($) { // When DOM is ready
        
    ///// START SLIDE IN + MODAL /////
            
    $('body').prepend('&lt;div id=&quot;afpBackgroundMask&quot;&gt;&lt;/div&gt;');

    $.data(document.body, 'isLoadedAfpSlider', 0);

    afpSliderContainer = $('#afp-slider-container');
    afpSliderContainer.css({'left': '-' + afpSliderContainer.width() + 'px'}).show();    

    afpSliderBoxContainer = $('#afp-slider-box-container');
    afpSliderBox = $('#afp-slider-box');

    afpBackgroundMask = $('#afpBackgroundMask');
    afpSliderButton = $('#afp-slider-button');
            
    afpDoContactLoad = function() {
               afpBackgroundMask.css({'opacity':'0.3', 'display':'inline'}).fadeIn();
               afpSliderBoxContainer.show();

               afpSliderContainer.animate({&quot;left&quot;: '0'}, afpSlideSpeed, function() { 
                       $.data(document.body, 'isLoadedAfpSlider', 1);
                       });
    };

    afpDoContactClose = function() {
               afpSliderContainer.animate({'left': '-'+ (afpSliderBoxContainer.width() + 2) +'px'}, afpSlideSpeed, function() { 
                      $.data(document.body, 'isLoadedAfpSlider', 0);
                            });

               afpBackgroundMask.fadeOut(); 
    };

    afpSliderButton.click(function() {
             if($.data(document.body, 'isLoadedAfpSlider') == 0) {
                    afpDoContactLoad();
             } else {
                    afpDoContactClose();
             }

             return false;
    });
            
    // when the contact form loses focus
    afpBackgroundMask.click(function() { afpDoContactClose(); });

    // only need force for IE6  
    afpBackgroundMask.css({'height': document.documentElement.clientHeight});

    ///// END SLIDE IN + MODAL /////
    });"
            
            .'
            --&gt;
            &lt;/script&gt;';
            
            $code_2 = '&lt;!-- [START] LEFT SLIDER CONTENT --&gt;
            &lt;div id=&quot;afp-slider-container&quot;&gt;
             
              &lt;div id=&quot;afp-slider-box-container&quot;&gt;
                 &lt;div id=&quot;afp-slider-box&quot;&gt;
                    &lt;div id=&quot;afp'.$form_id.'_wrap&quot;&gt;
                      &lt;h1&gt;Contact Us&lt;/h1&gt;
                      &lt;?php
                      /*
                      -------------------------------
                      Include the AJAX Contact Form
                      -------------------------------
                      */
                      echo do_shortcode(\'[afp_form id="'.$form_id.'"]\');
                      ?&gt;
                      &lt;/div&gt;
                 &lt;/div&gt;
                
              &lt;/div&gt;
               
              &lt;div id=&quot;afp-slider-button-area&quot;&gt;&lt;a id=&quot;afp-slider-button&quot; href=&quot;#&quot;&gt;&lt;span&gt;Leave a feedback&lt;/span&gt;&lt;/a&gt;&lt;/div&gt;
              
              
             &lt;div class=&quot;clear&quot;&gt;&lt;/div&gt;
            &lt;/div&gt;
            &lt;!-- [END] LEFT SLIDER CONTENT --&gt;';
        }
?>

<div style="width:100%; clear:both;">
    <div style="float: left;"><h2><?php echo $name; ?></h2></div>
    <div style="float: right; margin:12px 0 0 0;"><strong><a href="<?php echo $afp_conf['url']['path_to_manage_forms'] ?>">&laquo; Back to forms' list</a></strong></div>
    <div style="clear: both;"></div>
</div>

<p><strong>GET INTEGRATION CODE</strong></p>

<h2><?php echo $type_title; ?></h2>

<?php
if($method == 'slide_in_left') {
?>
    <div class="desc">
        Having trouble integrating PHP code into your website? Use the following link to see the "Slide-In Left" page in action and get the HTML source code from there.
        
        <p><a target="_blank" href="<?php echo $afp_conf['url']['path_to_script']; ?>standalone/pages/slide_in_left.php?form_id=<?php echo $form_id; ?>">&gt;&gt; See it in action</a></p>
        
    </div>
<?php
} else if($method == 'slide_in_top') {
?>
    <div class="desc">
        Having trouble integrating PHP code into your website? Use the following link to see the "Slide-In Top" page in action and get the HTML source code from there.
        
        <p><a target="_blank" href="<?php echo $afp_conf['url']['path_to_script']; ?>standalone/pages/slide_top.php?form_id=<?php echo $form_id; ?>">&gt;&gt; See it in action</a></p>
        
    </div>
<?php    
} else if($method == 'lightbox') {
?>
    <div class="desc">
        Having trouble integrating PHP code into your website? Use the following link to see this "Lightbox Form" in action and get the HTML source code from there:
        
        <p><a target="_blank" href="<?php echo $afp_conf['url']['path_to_script']; ?>standalone/pages/lightbox.php?forms=<?php echo $form_id; ?>">&gt;&gt; See it in action</a></p>
        
    </div>
<?php
}
?>

<div style="background-color: #f2faf2; padding:10px; border:1px solid green;">
    <?php
    if($method == 'iframe') {
    ?>
    <div style="line-height: 20px; margin: 0 0 15px;">
        <ul>
            <li>Copy &amp; Paste the following block of code where you want to have the form loaded.</li> 
            <li>This is useful if you want to integrate the form into static .HTML pages or into other pages where the other types of integrations are not available.</li>
            <li>For example, you have a CMS or .HTML pages, outside the WordPress blog and you want to load the forms from AJAX Form Pro WP Plugin.<li>
        </ul>
    </div>

    <iframe id="load_afp_page_afp<?php echo $form_id; ?>" scrolling="no" style="border:none; overflow:auto; width:1px; height:1px;" src="<?php echo $afp_conf['url']['path_to_script']; ?>standalone/generate.php?form_id=<?php echo $form_id; ?>" width="1" height="1"><p>Your browser does not support iframes.</p></iframe>

    <div>
    <textarea style="padding:5px;" rows="4" cols="10" id="block_code_afp<?php echo $form_id; ?>"><?php echo $code; ?></textarea>
        <div style="margin: 10px 0 0 0; float: right;">
            <button class="fancy-button-base light copy_to_clipboard">Copy to Clipboard</button>
        </div>
        <div class="clear"></div>
    </div>
    <?php }
        
        if($method == 'post_page') {
        ?>
    
            <p style="line-height: 20px; margin: 0 0 15px;">Copy &amp; Paste the following shortcode into your Post/Page:</p>
            
            <div>
                <textarea rows="1"><?php echo $code; ?></textarea>
                <div class="desc" style="background-color: white; margin: 10px 0 0 0;"><strong>NOTES:</strong>
                    
                    <ul>
                        <li>&rarr; Make sure the form is not included twice in a page (e.g. in a post and also in the sidebar). If, for instance, you want to use the same form in a Post and a different location of the same page (such as Footer or Sidebar), then use the "Clone" form feature and implement the forms separately.</li>
                        <li>&rarr; The same thing applies if you want to include the form twice in a post. This usually happens if you have a large posts (articles) and you want to include 2 forms to make sure they are spotted by your visitors.</li>
                    </ul>
                </div>
                
                <div style="margin: 10px 0 0 0; float: right;">
                    <button class="fancy-button-base light copy_to_clipboard">Copy to Clipboard</button>
                </div>
                <div class="clear"></div>
            </div>

        <?php 
        }
        
        if($method == 'outside_post_page') {
        ?>
            <p style="line-height: 20px; margin: 0 0 15px;"><strong>1.</strong> Go to your <a href="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_config&form_id=<?php echo $form_id; ?>#efc1">Form's Configuration</a> page &gt; "Basic Configuration" and set "Load in WordPress custom pages?" to "Yes".</p>
            
            <p style="line-height: 20px; margin: 0 0 15px;"><strong>2.</strong> To insert the form in a Custom Location such as: Footer, Custom Template, Sidebar (anything outside posts and pages) use the following PHP code:</p>
            
            <div>
                <textarea rows="1"><?php echo $code; ?></textarea>
                <div class="desc" style="background-color: white; margin: 10px 0 0 0;"><strong>Note:</strong> Make sure the form is not included twice in a page (e.g. in a post and also in the sidebar). If, for instance, you want to use the same form in a Post and a different location of the same page (such as Footer or Sidebar), then use the "Clone" form feature and implement the forms separately.</div>                
                
                <div style="margin: 10px 0 0 0; float: right;">
                    <button class="fancy-button-base light copy_to_clipboard">Copy to Clipboard</button>
                </div>
                
                <div class="clear"></div>
            </div>
        <?php
        }
        
        if($method == 'widget') {
            ?>
            
            <div style="line-height: 20px; margin: 0 0 15px;">
                <ol>
                    <li>In the <a href="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_config&form_id=<?php echo $form_id; ?>#efc1">Form's Settings</a>, you need to set "Load in WordPress custom pages?" to "Yes".</li>
                    <li>Go to "Appearance &gt; <a href="widgets.php">Widgets</a>" and in the "Available Widgets" section drag 'Text' (Arbitrary text or HTML) into the Widget you want (located in the right side of the page), if there are any widgets available.</li>
                    <li>In the widget area, you have "Title" and a textarea under it. You can fill the title if you wish (it's optional) and in the textarea add the following shortcode: <code><?php echo $code; ?></code></li>
                    <li>Note that you can put anything you want there besides the shortcode if you wish to add more elements surrounding the form.</li>
                </ol>
            </div>
            <?php
        }
        
        if($method == 'lightbox') {
        ?>
            <div class="desc" style="background-color: white;">
                <ul>
                    <li>&rarr; In the <a href="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_config&form_id=<?php echo $form_id; ?>#efc1">Form's Settings</a>, you need to set both '<em>Load in WordPress custom pages?</em>' and '<em>Load inside Lightbox when triggered by click?</em>' to "Yes", in order to complete this integration.</li> 
                </ul>
            </div>
            
            <p style="line-height: 20px; margin: 0 0 15px;"> When it is pressed the following button calls the Lightbox. You can put it anywhere you want in the page. You can also use a link (instead of a button) if you wish. Make sure it has the <strong>class</strong> attribute equal with <code>"afp_lightbox afp[FORM_ID]"</code>. Put the ID number (see column "ID" when you browse through the forms' list) of the form to replace [FORM_ID]. For this chosen form the ID is <strong><?php echo $form_id; ?></strong>.</p>
            
            <div>                
                <textarea rows="2"><?php echo $code; ?></textarea>            
                
                <div style="margin: 10px 0 0 0; float: right;">
                    <button class="fancy-button-base light copy_to_clipboard">Copy to Clipboard</button>
                </div>
                <div class="clear"></div>
            </div>
            
        <?php
        } else if($method == 'slide_in_left') {
        ?>
            
            <div style="line-height: 20px; margin: 0 0 25px;">
                <div class="step">1</div> Go to your <a href="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_config&form_id=<?php echo $form_id; ?>#efc1">Form's Configuration</a> page &gt; "Basic Configuration" and set "Load in WordPress custom pages?" to "Yes". 
            </div>
            
            <div style="line-height: 20px; margin: 0 0 15px;">
                <div class="step">2</div> The following block of code should be added in the HEAD section of the HTML code from your blog which can be found in <strong>header.php</strong> within your theme's folder. Copy the code just before <code>&lt;/head&gt;</code>
            </div>
            
            <div>
            <textarea rows="12"><?php echo $code_1; ?></textarea>
                <div style="margin: 10px 0 0 0; float: right;">
                    <button class="fancy-button-base light copy_to_clipboard">Copy to Clipboard</button>
                </div>
                <div class="clear"></div>
            </div>
                                
            <p style="line-height: 20px; margin: 0 0 15px;"><div class="step">3</div> Copy &amp; Paste the following block of code just before the <strong>&lt;/body&gt;</strong> tag of your page</p>
            
            <div>
            <textarea rows="20"><?php echo $code_2; ?></textarea>
                <div style="margin: 10px 0 0 0; float: right;">
                    <button class="fancy-button-base light copy_to_clipboard">Copy to Clipboard</button>
                </div>
                <div class="clear"></div>
            </div>
        
        <?php
        } else if($method == 'slide_in_top') {
        ?>

            <div style="line-height: 20px; margin: 0 0 25px;">
                <div class="step">1</div> Go to your <a href="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_config&form_id=<?php echo $form_id; ?>#efc1">Form's Configuration</a> page &gt; "Basic Configuration" and set "Load in WordPress custom pages?" to "Yes". 
            </div>

            <div style="line-height: 20px; margin: 0 0 15px;">
                <div class="step">2</div> The following block of code should be added in the HEAD section of the HTML code from your blog which can be found in <strong>header.php</strong> within your theme's folder. Copy the code just before <code>&lt;/head&gt;</code>
            </div>

            <div>
            <textarea rows="20"><?php echo $code_1; ?></textarea>
                <div style="margin: 10px 0 0 0; float: right;">
                    <button class="fancy-button-base light copy_to_clipboard">Copy to Clipboard</button>
                </div>
                <div class="clear"></div>
            </div>    
            
            <div style="line-height: 20px; margin: 20px 0 15px;"><div class="step">3</div> Copy &amp; Paste the following block of code after the <code>&lt;body&gt;</code> tag of your page, within the main DIV that wraps your blog (it should be in the file <strong>header.php</strong> within your theme's directory).
            <div>To understand how it was implemented in the Live Demo, please check the source of the following URL: <a target="_blank" href="http://www.ajaxformpro.com/preview/slide-in-top-demo">http://www.ajaxformpro.com/preview/slide-in-top-demo</a> - Note that the block of code is added just after the DIV with the id "page".</div>
            </div>
            
            <div>
            <textarea rows="15"><?php echo $code_2; ?></textarea>
                <div style="margin: 10px 0 0 0; float: right;">
                    <button class="fancy-button-base light copy_to_clipboard">Copy to Clipboard</button>
                </div>
                <div class="clear"></div>
            </div>          
        
        <?php
        }
?>
  <div style="clear: both;"></div>
</div>