<?php
global $afp_conf;

$afp_module = (isset($_GET['afp_module'])) ? $_GET['afp_module'] : '';
$page = (isset($_GET['page'])) ? $_GET['page'] : '';

$form_id = (isset($_REQUEST['form_id'])) ? $_REQUEST['form_id'] : '';

$is_in_afp_admin = (substr($page, 0, 4) == 'afp-');

// Load these JS files only when "AJAX Form Pro" Admin Panel is used
if($is_in_afp_admin) {
    wp_enqueue_script('jquery');
    wp_enqueue_script('jquery-ui-core');
    wp_enqueue_script('jquery-ui-dialog');
    wp_enqueue_script('jquery-ui-datepicker');
    wp_enqueue_script('jquery-ui-sortable');  
?>

    <link href="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/css/afp-style.css" rel="stylesheet" type="text/css" />
    <link href="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/css/ui-css/jquery-ui-1.10.0.custom.css" rel="stylesheet" type="text/css" />

    <?php
    // FOR ACTION     
    if($page == 'afp-default-form-configs' || $afp_module == 'edit_form_config') {
        include 'head/edit_form_config_code.php';
    }
    
    // Edit All Fields
    if($afp_module == 'edit_form_fields') {
        include 'head/edit_form_fields_code.php';
    }

    if($afp_module == 'edit_form_fields_conditionals') {
        include 'head/edit_form_fields_conditionals_code.php';
    }    
    
    // Edit Single Field
    if($afp_module == 'edit_form_field') {
        include 'head/edit_form_field_code/main.php';        
    }
    
    if($afp_module == 'get_code') { 
        include 'head/get_code_page.php';
    }
    
    if($afp_module == 'manage_webmasters') { 
        include 'head/manage_webmasters_code.php';
    }
    
    if($afp_module == 'manage_messages') {
        $manage_messages_page = 1;
        include 'head/manage_messages_code.php';
    }
       
    // FOR PAGE
    if($page == 'afp-manage-forms' && $afp_module == '') { 
        include 'head/manage_forms_code.php';
    }

    // FOR Add Form
    if($page == 'afp-add-form') { 
        include 'head/add_form_code.php';
    }

    if($page == 'afp-templates') { 
        include 'head/manage_templates_code.php';
    }

    if($page == 'afp-recipients') {
        include 'head/manage_webmasters_code.php';
    }    
    
    if($page == 'afp-maintenance') {
        include 'head/maintenance_code.php';
    }
    ?>
    
    <link href="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/css/fancy-buttons.css" rel="stylesheet" type="text/css" />

<style type="text/css">

.wp-admin select {
    height: 2em;
    padding: 0em 2em 0em 0em;
}

#popitmenu {
    position: absolute;
    background-color: white;
    border:1px solid #cdcdcd;
    font: normal 12px Verdana;
    line-height: 18px;
    z-index: 100;
    visibility: hidden;
    padding: 6px 5px 6px;
}

#popitmenu a {
    text-decoration: none;
    padding: 6px 6px 6px 29px;
    color:#2A4480;
    display: block;
}

#popitmenu a:hover{ /* hover background color */
    background-color: #D0DBF4;
}

</style>

<script type="text/javascript">

/***********************************************
* Pop-it menu- © Dynamic Drive (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit http://www.dynamicdrive.com/ for full source code
***********************************************/

var defaultMenuWidth = 'auto'; // Set default menu width.

var linkset = new Array();
// SPECIFY MENU SETS AND THEIR LINKS. FOLLOW SYNTAX LAID OUT

linkset[1]  = '<a class="add_form" href="<?php bloginfo('url'); ?>/wp-admin/admin.php?page=afp-add-form">Add New</a>';
linkset[1] += '<a class="default_configs" href="<?php bloginfo('url'); ?>/wp-admin/admin.php?page=afp-default-form-configs">Default Form Configs</a>';
linkset[1] += '<a class="list" href="<?php bloginfo('url'); ?>/wp-admin/admin.php?page=afp-manage-forms">View List</a>';

// No need to edit beyond here

var ie5 = document.all && !window.opera;
var ns6 = document.getElementById;

if (ie5||ns6) {
    document.write('<div id="popitmenu" onMouseover="clearhidemenu();" onMouseout="dynamichide(event)"></div>');
}

function iecompattest() {
    return (document.compatMode && document.compatMode.indexOf("CSS") != -1) ? document.documentElement : document.body;
}

function showmenu(e, which, optWidth){
if (!document.all&&!document.getElementById)
return
clearhidemenu()
menuobj=ie5? document.all.popitmenu : document.getElementById("popitmenu");
menuobj.innerHTML=which
menuobj.style.width=(typeof optWidth!="undefined")? optWidth : defaultMenuWidth
menuobj.contentwidth=menuobj.offsetWidth
menuobj.contentheight=menuobj.offsetHeight
eventX=ie5? event.clientX : e.clientX
eventY=ie5? event.clientY : e.clientY

// Find out how close the mouse is to the corner of the window
var rightedge=ie5? iecompattest().clientWidth-eventX : window.innerWidth-eventX
var bottomedge=ie5? iecompattest().clientHeight-eventY : window.innerHeight-eventY
// if the horizontal distance isn't enough to accomodate the width of the context menu
if (rightedge<menuobj.contentwidth)
// move the horizontal position of the menu to the left by it's width
menuobj.style.left=ie5? iecompattest().scrollLeft+eventX-menuobj.contentwidth+"px" : window.pageXOffset+eventX-menuobj.contentwidth+"px"
else
// position the horizontal position of the menu where the mouse was clicked
menuobj.style.left=ie5? iecompattest().scrollLeft+eventX+"px" : window.pageXOffset+eventX+"px"
// same concept with the vertical position
if (bottomedge<menuobj.contentheight)
menuobj.style.top=ie5? iecompattest().scrollTop+eventY-menuobj.contentheight+"px" : window.pageYOffset+eventY-menuobj.contentheight+"px"
else
menuobj.style.top=ie5? iecompattest().scrollTop+event.clientY+"px" : window.pageYOffset+eventY+"px"
menuobj.style.visibility="visible"
return false
}

function contains_ns6(a, b) {
// Determines if 1 element in contained in another- by Brainjar.com
while (b.parentNode)
if ((b = b.parentNode) == a)
return true;
return false;
}

function hidemenu(){
    if (window.menuobj) {
        menuobj.style.visibility = "hidden";
    }
}

function dynamichide(e){
    if (ie5 && !menuobj.contains(e.toElement)) {
        hidemenu();
    }
    else if (ns6&&e.currentTarget!= e.relatedTarget&& !contains_ns6(e.currentTarget, e.relatedTarget)) {
        hidemenu();
    }
}

function delayhidemenu(){
    delayhide = setTimeout("hidemenu()", 500);
}

function clearhidemenu(){
    if (window.delayhide) {
        clearTimeout(delayhide);
    }
}

if (ie5 || ns6) {
    document.onclick = hidemenu;
}

jQuery(document).ready(function($) { // When DOM is ready

    $(".manage_forms").mouseover(function(event) {
        showmenu(event,linkset[1]);
    })
    .mouseout(delayhidemenu);

    $(".account").mouseover(function(event) {
        showmenu(event,linkset[0]);
    })
    .mouseout(delayhidemenu)
    .click(function() {
        return false;
    });

    $(".more").mouseover(function(event) {
        showmenu(event,linkset[parseInt($(this).attr('rel'))]);
    })
    .mouseout(delayhidemenu)
    .click(function() {
        return false;
    });    
    
});

<?php
$preload_icons = array('add.png', 'default-configs.png', 'view-list.png', 'clone.png', 'trash.png', 'key.png', 'email.png', 'salt-key.png');

foreach($preload_icons as $icon_key => $icon_name) {
    $var_icon_name = 'icon_img_'.($icon_key + 1);
    ?>
    <?php echo $var_icon_name; ?> = new Image(16, 16);
    <?php echo $var_icon_name; ?>.src = '<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/images/icons/<?php echo $icon_name; ?>';
<?php
}
?>

var path_to_scroll_image = '<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/images/icons/arrow-up-36x36.png';

</script>

<script type="text/javascript" src="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/js/scrolltopcontrol.js">

/***********************************************
* Scroll To Top Control script- © Dynamic Drive DHTML code library (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit Project Page at http://www.dynamicdrive.com for full source code
***********************************************/

</script>
<?php
}
?>