<?php
///$path_to_wp_site_root = dirname(dirname(dirname(dirname(dirname(__FILE__)))));
//require_once( $path_to_wp_site_root .'/wp-load.php' );

$local_path_to_afp = dirname ( dirname(__FILE__) ).'/';

//echo $local_path_to_afp;

include_once $local_path_to_afp.'base.php';

include_once $local_path_to_afp.'admin/includes/classes/class.application.php';

$app = new Afp_Application;

include_once $local_path_to_afp.'admin/includes/classes/class.database.php';

//echo '<pre>'; print_r($afp_conf['db']); echo '</pre>'; exit;

// Initialize the database connection
$afp_db = new Afp_DB($afp_conf['db']['host'], 
             $afp_conf['db']['user'], 
             $afp_conf['db']['pass'],
             $afp_conf['db']['name'], false);

// Include the Manage Form Fields Class
include_once $local_path_to_afp.'admin/includes/classes/class.manage.forms.fields.php';

$form_fields = new Manage_Forms_Fields($afp_conf, $afp_db);

// Include the Manage Form Fields Class
include_once $local_path_to_afp.'admin/includes/classes/class.manage.forms.php';
    
$afp_manage_forms = new Manage_Forms($afp_conf, $afp_db);    

// Include the main script's class
include 'includes/class.ajax.form.pro.php';

// Include the misc. functions class (it will extend the Ajax_Form_Pro class)
include 'includes/class.misc.functions.php';

$afp = new Misc_Functions($form_fields, $afp_db);

// Assign the configuration
//echo '<pre>'; print_r($afp_conf); echo '</pre>';

$afp->mAfpConf = $afp_conf;
$afp->conf = $afp_conf;

$afp->app = $app;

if( ! isset($do_not_load_smarty) ) {

    /*
    -------------------
    Initialize Smarty
    -------------------
    */
    
	if(AFP_ENABLE_PHP_INSIDE_SMARTY == 1) {
		require 'includes/smarty/SmartyBC.class.php';
		$afp_smarty = new SmartyBC();
	} else {
		require 'includes/smarty/Smarty.class.php';
		$afp_smarty = new Smarty();		
	}

    $afp_smarty->setTemplateDir($path_to_afp_templates);
    $afp_smarty->setCompileDir($afp_conf['local']['path_to_app'] . 'includes/smarty/templates_c');
    $afp_smarty->setCacheDir($afp_conf['local']['path_to_app'] . 'includes/smarty/cache');
    $afp_smarty->setConfigDir($afp_conf['local']['path_to_app'] . 'includes/smarty/configs');
        
    $afp->mSmarty = $afp_smarty;
    $afp->mSmarty->assign('c', $afp_conf);
     
    /* --------------------- */
}

$_POST = (!empty($_POST)) ? $afp->FilterArray($_POST) : $_POST;

/* 
---------------------------------------------------------
USE THE FOLLOWING CODE IN CASE A 'FORM ID' IS REQUESTED
---------------------------------------------------------
*/

//echo $get_form_info;
//echo '<pre>'; print_r($forms); echo '</pre>';
//echo '<pre>'; print_r($afp->mMyForms); echo '</pre>';
?>